Update mqtt_setup.sh

This commit is contained in:
tteckster 2022-02-03 07:55:43 -05:00 committed by GitHub
parent 6f7fb2dd7c
commit be3a55b208
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 13 additions and 20 deletions

View File

@ -1,10 +1,9 @@
#!/usr/bin/env bash #!/usr/bin/env bash
# Setup script environment set -o errexit
set -o errexit #Exit immediately if a pipeline returns a non-zero status set -o errtrace
set -o errtrace #Trap ERR from shell functions, command substitutions, and commands from subshell set -o nounset
set -o nounset #Treat unset variables as an error set -o pipefail
set -o pipefail #Pipe will exit with last non-zero status if applicable
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
CROSS='\033[1;31m\xE2\x9D\x8C\033[0m' CROSS='\033[1;31m\xE2\x9D\x8C\033[0m'
@ -28,8 +27,7 @@ function msg() {
echo -e "$TEXT" echo -e "$TEXT"
} }
# Prepare container OS echo -e "${CHECKMARK} \e[1;92m Setting up Container OS... \e[0m"
msg "Setting up Container OS..."
sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen sed -i "/$LANG/ s/\(^# \)//" /etc/locale.gen
locale-gen >/dev/null locale-gen >/dev/null
while [ "$(hostname -I)" = "" ]; do while [ "$(hostname -I)" = "" ]; do
@ -44,21 +42,18 @@ while [ "$(hostname -I)" = "" ]; do
done done
echo -e "${CHECKMARK} \e[1;92m Network Connected: \e[0m $(hostname -I)" echo -e "${CHECKMARK} \e[1;92m Network Connected: \e[0m $(hostname -I)"
# Update container OS echo -e "${CHECKMARK} \e[1;92m Updating Container OS... \e[0m"
msg "Updating Container OS..."
apt-get update &>/dev/null apt-get update &>/dev/null
apt-get -qqy upgrade &>/dev/null apt-get -qqy upgrade &>/dev/null
# Install prerequisites echo -e "${CHECKMARK} \e[1;92m Installing Dependencies... \e[0m"
msg "Installing Prerequisites..."
apt-get update &>/dev/null apt-get update &>/dev/null
apt-get -qqy install \ apt-get -qqy install \
curl \ curl \
gnupg \ gnupg \
sudo &>/dev/null sudo &>/dev/null
# Installing Mosquitto MQTT broker echo -e "${CHECKMARK} \e[1;92m Installing Mosquitto MQTT Broker.. \e[0m"
msg "Installing Mosquitto MQTT broker.."
wget http://repo.mosquitto.org/debian/mosquitto-repo.gpg.key &>/dev/null wget http://repo.mosquitto.org/debian/mosquitto-repo.gpg.key &>/dev/null
apt-key add mosquitto-repo.gpg.key &>/dev/null apt-key add mosquitto-repo.gpg.key &>/dev/null
cd /etc/apt/sources.list.d/ cd /etc/apt/sources.list.d/
@ -67,11 +62,10 @@ apt-get update >/dev/null
apt-get -y install mosquitto &>/dev/null apt-get -y install mosquitto &>/dev/null
apt-get -y install mosquitto-clients &>/dev/null apt-get -y install mosquitto-clients &>/dev/null
# Customize container echo -e "${CHECKMARK} \e[1;92m Customizing LXC... \e[0m"
msg "Customizing LXC..." rm /etc/motd
rm /etc/motd # Remove message of the day after login rm /etc/update-motd.d/10-uname
rm /etc/update-motd.d/10-uname # Remove kernel information after login touch ~/.hushlogin
touch ~/.hushlogin # Remove 'Last login: ' and mail notification after login
GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf" GETTY_OVERRIDE="/etc/systemd/system/container-getty@1.service.d/override.conf"
mkdir -p $(dirname $GETTY_OVERRIDE) mkdir -p $(dirname $GETTY_OVERRIDE)
cat << EOF > $GETTY_OVERRIDE cat << EOF > $GETTY_OVERRIDE
@ -82,6 +76,5 @@ EOF
systemctl daemon-reload systemctl daemon-reload
systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//') systemctl restart $(basename $(dirname $GETTY_OVERRIDE) | sed 's/\.d//')
# Cleanup container echo -e "${CHECKMARK} \e[1;92m Cleanup... \e[0m"
msg "Cleanup..."
rm -rf /mqtt_setup.sh /var/{cache,log}/* /var/lib/apt/lists/* rm -rf /mqtt_setup.sh /var/{cache,log}/* /var/lib/apt/lists/*